import { h } from "@stencil/core";
/**
 * Typing Indicator
 * Used to indicate that other participants of the chat are typing.
 *
 * @private
 */
export class TypingIndicator {
    render() {
        return (h("div", { key: '23c76c03d08f495a885b7bfef11ef133d1da53a9', class: "typing-ellipsis" }, h("div", { key: '93ec029e09591839a45f41a49d42e4eea3d5127f', class: "circle" }), h("div", { key: '2ed2c1c943556f0f6e315d97cbdf7818773901c8', class: "circle" }), h("div", { key: '3fa7646cef9c5e3eecea9d9e8ed8bc9868505878', class: "circle" })));
    }
    static get is() { return "limebb-typing-indicator"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["typing-indicator.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["typing-indicator.css"]
        };
    }
}
